> For the complete documentation index, see [llms.txt](https://api-docs.everreal.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.everreal.co/endpoints/contract/contract-mutation.md).

# Contract Mutation

### Mutation Types

{% hint style="info" %}
Mutations are responsible to insert or update a specific register, the operation insert or update is defined by **everreal`Id`**, in case this contract you could use to delete contract.&#x20;
{% endhint %}

```graphql
type Mutation {
    removeContract(id: String): AsyncEventResponse
}

type AsyncEventResponse {
  statusCode: Int
  message: String
}
```

Here are details on the capabilities of different mutations

* The `removeContract` mutation is used to delete a contract from Everreal system and contract will no longer be available in Everreal. To delete contract, you should pass `everrealUUID` which can be acquired from contracting query by passing the propertyId for which you need to delete the contract.([reference](/endpoints/contract/contract-query.md) to get contractId)

Below we are providing a full example how to delete

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation {
  removeContract(
    id: <everreal_uuid>
  )
}
```

{% endtab %}

{% tab title="Second Tab" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.everreal.co/endpoints/contract/contract-mutation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
